PLplot: plf2ops_t Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
plf2ops_t Struct Reference

`#include "plplot.h"`

## Public Attributes
PLFLT(* | get )(PLPointer p, PLINT ix, PLINT iy)
PLFLT(* | set )(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
PLFLT(* | add )(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
PLFLT(* | sub )(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
PLFLT(* | mul )(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
PLFLT(* | div )(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
PLINT(* | is_nan )(PLPointer p, PLINT ix, PLINT iy)
void(* | minmax )(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmim, PLFLT *zmax)
PLFLT(* | f2eval )(PLINT ix, PLINT iy, PLPointer p)

## Detailed Description

Definition at line 508 of file plplot.h.

## Member Data Documentation

PLFLT( * plf2ops_t::add)(PLPointer p, PLINT ix, PLINT iy, PLFLT z)

Definition at line 512 of file plplot.h.

PLFLT( * plf2ops_t::div)(PLPointer p, PLINT ix, PLINT iy, PLFLT z)

Definition at line 515 of file plplot.h.

PLFLT( * plf2ops_t::f2eval)(PLINT ix, PLINT iy, PLPointer p)

Definition at line 522 of file plplot.h.

PLFLT( * plf2ops_t::get)(PLPointer p, PLINT ix, PLINT iy)

Definition at line 510 of file plplot.h.

PLINT( * plf2ops_t::is_nan)(PLPointer p, PLINT ix, PLINT iy)

Definition at line 516 of file plplot.h.

void( * plf2ops_t::minmax)(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmim, PLFLT *zmax)

Definition at line 517 of file plplot.h.

PLFLT( * plf2ops_t::mul)(PLPointer p, PLINT ix, PLINT iy, PLFLT z)

Definition at line 514 of file plplot.h.

PLFLT( * plf2ops_t::set)(PLPointer p, PLINT ix, PLINT iy, PLFLT z)

Definition at line 511 of file plplot.h.

PLFLT( * plf2ops_t::sub)(PLPointer p, PLINT ix, PLINT iy, PLFLT z)

Definition at line 513 of file plplot.h.

The documentation for this struct was generated from the following file:

- plplot.h